structuredData.process

Programmatic validation and normalization of schema.org data.

The process endpoint will parse, process, validate, and normalize data to provide detailed insights into the contents along with any messages that occur during the analysis. The response includes an RDF-based graph of statements along with any messages that occurred while decoding, processing, and validating.

Request

POST /toolkit.v0/structuredData.process
  • Form

Response (details)

For format=details, all data (including metadata) from decoding and processing will be returned along with any generated service messages.

  • Resource[]
  • Service[]
  • Source

Response (messages)

For format=messages, only service messages and minimal scope-specific metadata will be returned.

  • Message[]

Examples

$ curl https://api.namedgraph.com/toolkit.v0/structuredData.process \
  --header @namedgraph-auth-headers.txt \
  --form sourceFile=@example.html \
  --form format=messages